<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:resources.j2c="http://www.ibm.com/websphere/appserver/schemas/5.0/resources.j2c.xmi" xmlns:resources.jdbc="http://www.ibm.com/websphere/appserver/schemas/5.0/resources.jdbc.xmi" xmlns:resources.jms="http://www.ibm.com/websphere/appserver/schemas/5.0/resources.jms.xmi" xmlns:resources.mail="http://www.ibm.com/websphere/appserver/schemas/5.0/resources.mail.xmi" xmlns:resources.url="http://www.ibm.com/websphere/appserver/schemas/5.0/resources.url.xmi">
  <resources.jdbc:JDBCProvider xmi:id="builtin_jdbcprovider" name="Derby JDBC Provider (XA)" description="Built-in Derby JDBC Provider (XA)" providerType="Derby JDBC Provider (XA)" implementationClassName="org.apache.derby.jdbc.EmbeddedXADataSource" xa="true">
    <classpath>${DERBY_JDBC_DRIVER_PATH}/derby.jar</classpath>
    <factories xmi:type="resources.jdbc:DataSource" xmi:id="DataSource_1000001" name="DefaultEJBTimerDataSource" jndiName="jdbc/DefaultEJBTimerDataSource" description="Default data source for WebSphere EJB Timer Service" category="default" authMechanismPreference="BASIC_PASSWORD" relationalResourceAdapter="builtin_rra" statementCacheSize="10" datasourceHelperClassname="com.ibm.websphere.rsadapter.DerbyDataStoreHelper">
      <propertySet xmi:id="J2EEResourcePropertySet_2">
        <resourceProperties xmi:id="J2EEResourceProperty_DB2j_5_1" name="databaseName" type="java.lang.String" value="${USER_INSTALL_ROOT}/databases/EJBTimers/${SERVER}/EJBTimerDB" description="Location of Derby default database for the EJB Timer Service." required="true"/>
        <resourceProperties xmi:id="J2EEResourceProperty_DB2j_5_2" name="shutdownDatabase" type="java.lang.String" value=""/>
        <resourceProperties xmi:id="J2EEResourceProperty_DB2j_5_3" name="dataSourceName" type="java.lang.String" value=""/>
        <resourceProperties xmi:id="J2EEResourceProperty_DB2j_5_4" name="description" type="java.lang.String" value=""/>
        <resourceProperties xmi:id="J2EEResourceProperty_DB2j_5_5" name="connectionAttributes" type="java.lang.String" value="upgrade=true" description="Allows the Derby database to be upgraded."/>
        <resourceProperties xmi:id="J2EEResourceProperty_DB2j_5_6" name="createDatabase" type="java.lang.String" value=""/>
        <resourceProperties xmi:id="J2EEResourceProperty_DB2j_5_7" name="enableMultithreadedAccessDetection" type="java.lang.Boolean" value="false"/>
        <resourceProperties xmi:id="J2EEResourceProperty_DB2j_5_8" name="preTestSQLString" type="java.lang.String" value=""/>
      </propertySet>
      <connectionPool xmi:id="ConnectionPool_2" connectionTimeout="1800" maxConnections="30" minConnections="1" reapTime="180" unusedTimeout="1800" agedTimeout="0" purgePolicy="EntirePool"/>
    </factories>
  </resources.jdbc:JDBCProvider>
  <resources.jms:JMSProvider xmi:id="builtin_jmsprovider" name="WebSphere JMS Provider" description="V5 Default Messaging Provider" externalInitialContextFactory="" externalProviderURL=""/>
  <resources.jms:JMSProvider xmi:id="builtin_mqprovider" name="WebSphere MQ JMS Provider" description="WebSphere MQ Messaging Provider" externalInitialContextFactory="" externalProviderURL=""/>
  <resources.j2c:J2CResourceAdapter xmi:id="builtin_rra" name="WebSphere Relational Resource Adapter" description="Built-in Relational Resource Adapter for WebSphere Persistence" archivePath="${WAS_LIBS_DIR}/rsadapter.rar">
    <classpath>${WAS_LIBS_DIR}/rsadapter.rar</classpath>
    <factories xmi:type="resources.jdbc:CMPConnectorFactory" xmi:id="CMPConnectorFactory_1183122153656" name="Default_CF" authMechanismPreference="BASIC_PASSWORD" connectionDefinition="ConnectionDefinition_1054132487569" cmpDatasource="DataSource_1183122153625">
      <propertySet xmi:id="J2EEResourcePropertySet_1183122153656"/>
    </factories>
    <propertySet xmi:id="J2EEResourcePropertySet_8"/>
    <deploymentDescriptor xmi:id="Connector_1054132487569" displayName="WS_RdbResourceAdapter" vendorName="IBM" specVersion="1.5" eisType="RRA" version="6.0">
      <icons xmi:id="IconType_1054132487569" smallIcon="rdb_small_icon.jpg" largeIcon="rdb_large_icon.jpg"/>
      <displayNames xmi:id="DisplayName_1290632373266" value="WS_RdbResourceAdapter"/>
      <displayNames xmi:id="DisplayName_1054132487569" value="WS_RdbResourceAdapter"/>
      <descriptions xmi:id="Description_1054132487569" value="IBM Relational ResourceAdapter"/>
      <license xmi:id="License_1054132487569" required="false">
        <descriptions xmi:id="Description_1054132487570" value="IBM Relational ResourceAdapter"/>
      </license>
      <resourceAdapter xmi:id="ResourceAdapter_1054132487569" transactionSupport="NoTransaction" reauthenticationSupport="false" resourceAdapterClass="com.ibm.ws.rsadapter.spi.WSResourceAdapterImpl">
        <outboundResourceAdapter xmi:id="OutboundResourceAdapter_1054132487569" reauthenticationSupport="false" transactionSupport="XATransaction">
          <connectionDefinitions xmi:id="ConnectionDefinition_1054132487569" managedConnectionFactoryClass="com.ibm.ws.rsadapter.spi.WSManagedConnectionFactoryImpl" connectionFactoryInterface="javax.resource.cci.ConnectionFactory" connectionFactoryImplClass="com.ibm.ws.rsadapter.cci.WSRdbConnectionFactoryImpl" connectionInterface="javax.resource.cci.Connection" connectionImplClass="com.ibm.ws.rsadapter.cci.WSRdbConnectionImpl">
            <configProperties xmi:id="ConfigProperty_1054132487569" name="ConnectionFactoryType" type="java.lang.Integer" value="2">
              <descriptions xmi:id="Description_1054132487571" value="A constant indicating the type of connection factory: WSJdbcDataSource (1) or WSRdbConnectionFactory (2)"/>
            </configProperties>
          </connectionDefinitions>
          <authenticationMechanisms xmi:id="AuthenticationMechanism_1054132487589" authenticationMechanismType="BasicPassword" credentialInterface="javax.resource.spi.security.PasswordCredential">
            <descriptions xmi:id="Description_1054132487590" value="BasicPassword authentication"/>
          </authenticationMechanisms>
          <authenticationMechanisms xmi:id="AuthenticationMechanism_1054132487590" authenticationMechanismType="Kerbv5" credentialInterface="javax.resource.spi.security.GenericCredential">
            <descriptions xmi:id="Description_1054132487591" value="Kerbv5 Authentication"/>
          </authenticationMechanisms>
        </outboundResourceAdapter>
      </resourceAdapter>
    </deploymentDescriptor>
    <connectionDefTemplateProps xmi:id="ConnectionDefTemplateProps_1054132487589" ConnectionDefinition="ConnectionDefinition_1054132487569"/>
  </resources.j2c:J2CResourceAdapter>
  <resources.mail:MailProvider xmi:id="builtin_mailprovider" name="Built-in Mail Provider" description="The built-in mail provider">
    <protocolProviders xmi:id="builtin_smtp" protocol="smtp" classname="com.sun.mail.smtp.SMTPTransport" type="TRANSPORT"/>
    <protocolProviders xmi:id="builtin_pop3" protocol="pop3" classname="com.sun.mail.pop3.POP3Store" type="STORE"/>
    <protocolProviders xmi:id="builtin_imap" protocol="imap" classname="com.sun.mail.imap.IMAPStore" type="STORE"/>
    <protocolProviders xmi:id="builtin_smtps" protocol="smtps" classname="com.sun.mail.smtp.SMTPSSLTransport" type="TRANSPORT"/>
    <protocolProviders xmi:id="builtin_pop3s" protocol="pop3s" classname="com.sun.mail.pop3.POP3SSLStore" type="STORE"/>
    <protocolProviders xmi:id="builtin_imaps" protocol="imaps" classname="com.sun.mail.imap.IMAPSSLStore" type="STORE"/>
  </resources.mail:MailProvider>
  <resources.url:URLProvider xmi:id="URLProvider_1" name="Default URL Provider" streamHandlerClassName="unused" protocol="unused"/>
  <resources.jdbc:JDBCProvider xmi:id="JDBCProvider_1183122153343" name="Derby JDBC Provider" description="Derby embedded non-XA  JDBC Provider" providerType="Derby JDBC Provider" implementationClassName="org.apache.derby.jdbc.EmbeddedConnectionPoolDataSource" xa="false">
    <classpath>${DERBY_JDBC_DRIVER_PATH}/derby.jar</classpath>
    <factories xmi:type="resources.jdbc:DataSource" xmi:id="DataSource_1183122153625" name="Default Datasource" jndiName="DefaultDatasource" description="Datasource for the WebSphere Default Application" providerType="Derby JDBC Provider" authMechanismPreference="BASIC_PASSWORD" relationalResourceAdapter="builtin_rra" statementCacheSize="10" datasourceHelperClassname="com.ibm.websphere.rsadapter.DerbyDataStoreHelper">
      <propertySet xmi:id="J2EEResourcePropertySet_1183122153625">
        <resourceProperties xmi:id="J2EEResourceProperty_1183122153625" name="databaseName" type="java.lang.String" value="${APP_INSTALL_ROOT}/${CELL}/DefaultApplication.ear/DefaultDB"/>
        <resourceProperties xmi:id="J2EEResourceProperty_1183122153626" name="shutdownDatabase" type="java.lang.String" value=""/>
        <resourceProperties xmi:id="J2EEResourceProperty_1183122153627" name="dataSourceName" type="java.lang.String" value=""/>
        <resourceProperties xmi:id="J2EEResourceProperty_1183122153628" name="description" type="java.lang.String" value=""/>
        <resourceProperties xmi:id="J2EEResourceProperty_1183122153629" name="connectionAttributes" type="java.lang.String" value="upgrade=true"/>
        <resourceProperties xmi:id="J2EEResourceProperty_1183122153630" name="createDatabase" type="java.lang.String" value=""/>
      </propertySet>
      <connectionPool xmi:id="ConnectionPool_1183122153625" connectionTimeout="180" maxConnections="10" minConnections="1" reapTime="180" unusedTimeout="1800" agedTimeout="0" purgePolicy="EntirePool"/>
    </factories>
  </resources.jdbc:JDBCProvider>
  <resources.j2c:J2CResourceAdapter xmi:id="J2CResourceAdapter_1290632373266" name="SIB JMS Resource Adapter" description="Default messaging provider" archivePath="${WAS_INSTALL_ROOT}/installedConnectors/sib.api.jmsra.rar" threadPoolAlias="SIBJMSRAThreadPool">
    <classpath>${WAS_INSTALL_ROOT}/installedConnectors/sib.api.jmsra.rar</classpath>
    <propertySet xmi:id="J2EEResourcePropertySet_1290632373267"/>
    <deploymentDescriptor xmi:id="Connector_1290632373267" displayName="WebSphere Default Messaging Provider" vendorName="IBM" specVersion="1.5" eisType="JMS Provider" version="0.3">
      <displayNames xmi:id="DisplayName_1290632373267" value="WebSphere Default Messaging Provider"/>
      <displayNames xmi:id="DisplayName_1290632373268" value="WebSphere Default Messaging Provider"/>
      <resourceAdapter xmi:id="ResourceAdapter_1290632373267" transactionSupport="NoTransaction" reauthenticationSupport="false" resourceAdapterClass="com.ibm.ws.sib.api.jmsra.impl.JmsJcaResourceAdapterImpl">
        <outboundResourceAdapter xmi:id="OutboundResourceAdapter_1290632373267" reauthenticationSupport="false" transactionSupport="XATransaction">
          <connectionDefinitions xmi:id="ConnectionDefinition_1290632373267" managedConnectionFactoryClass="com.ibm.ws.sib.api.jmsra.impl.JmsJcaManagedQueueConnectionFactoryImpl" connectionFactoryInterface="javax.jms.QueueConnectionFactory" connectionFactoryImplClass="com.ibm.ws.sib.api.jms.impl.JmsQueueConnFactoryImpl" connectionInterface="javax.jms.QueueConnection" connectionImplClass="com.ibm.ws.sib.api.jms.impl.JmsQueueConnectionImpl">
            <configProperties xmi:id="ConfigProperty_1290632373267" name="BusName" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373268" name="ClientID" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373269" name="UserName" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373270" name="Password" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373271" name="NonPersistentMapping" type="java.lang.String" value="ExpressNonPersistent"/>
            <configProperties xmi:id="ConfigProperty_1290632373272" name="PersistentMapping" type="java.lang.String" value="ReliablePersistent"/>
            <configProperties xmi:id="ConfigProperty_1290632373273" name="ReadAhead" type="java.lang.String" value="Default"/>
            <configProperties xmi:id="ConfigProperty_1290632373274" name="Target" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373275" name="TargetType" type="java.lang.String" value="BusMember"/>
            <configProperties xmi:id="ConfigProperty_1290632373276" name="TargetSignificance" type="java.lang.String" value="Preferred"/>
            <configProperties xmi:id="ConfigProperty_1290632373277" name="RemoteProtocol" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373278" name="TargetTransportChain" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373279" name="ProviderEndpoints" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373280" name="ConnectionProximity" type="java.lang.String" value="Bus"/>
            <configProperties xmi:id="ConfigProperty_1290632373281" name="TemporaryQueueNamePrefix" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373282" name="ShareDataSourceWithCMP" type="java.lang.Boolean" value="false"/>
            <configProperties xmi:id="ConfigProperty_1290632373283" name="ProducerDoesNotModifyPayloadAfterSet" type="java.lang.String" value="false"/>
            <configProperties xmi:id="ConfigProperty_1290632373284" name="ConsumerDoesNotModifyPayloadAfterGet" type="java.lang.String" value="false"/>
          </connectionDefinitions>
          <connectionDefinitions xmi:id="ConnectionDefinition_1290632373268" managedConnectionFactoryClass="com.ibm.ws.sib.api.jmsra.impl.JmsJcaManagedTopicConnectionFactoryImpl" connectionFactoryInterface="javax.jms.TopicConnectionFactory" connectionFactoryImplClass="com.ibm.ws.sib.api.jms.impl.JmsTopicConnFactoryImpl" connectionInterface="javax.jms.TopicConnection" connectionImplClass="com.ibm.ws.sib.api.jms.impl.JmsTopicConnectionImpl">
            <configProperties xmi:id="ConfigProperty_1290632373285" name="BusName" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373286" name="ClientID" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373287" name="UserName" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373288" name="Password" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373289" name="NonPersistentMapping" type="java.lang.String" value="ExpressNonPersistent"/>
            <configProperties xmi:id="ConfigProperty_1290632373290" name="PersistentMapping" type="java.lang.String" value="ReliablePersistent"/>
            <configProperties xmi:id="ConfigProperty_1290632373291" name="DurableSubscriptionHome" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373292" name="ReadAhead" type="java.lang.String" value="Default"/>
            <configProperties xmi:id="ConfigProperty_1290632373293" name="Target" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373294" name="TargetType" type="java.lang.String" value="BusMember"/>
            <configProperties xmi:id="ConfigProperty_1290632373295" name="TargetSignificance" type="java.lang.String" value="Preferred"/>
            <configProperties xmi:id="ConfigProperty_1290632373296" name="RemoteProtocol" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373297" name="TargetTransportChain" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373298" name="ProviderEndpoints" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373299" name="ConnectionProximity" type="java.lang.String" value="Bus"/>
            <configProperties xmi:id="ConfigProperty_1290632373300" name="TemporaryTopicNamePrefix" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373301" name="ShareDataSourceWithCMP" type="java.lang.Boolean" value="false"/>
            <configProperties xmi:id="ConfigProperty_1290632373302" name="ShareDurableSubscriptions" type="java.lang.String" value="InCluster"/>
            <configProperties xmi:id="ConfigProperty_1290632373303" name="ProducerDoesNotModifyPayloadAfterSet" type="java.lang.String" value="false"/>
            <configProperties xmi:id="ConfigProperty_1290632373304" name="ConsumerDoesNotModifyPayloadAfterGet" type="java.lang.String" value="false"/>
          </connectionDefinitions>
          <connectionDefinitions xmi:id="ConnectionDefinition_1290632373269" managedConnectionFactoryClass="com.ibm.ws.sib.api.jmsra.impl.JmsJcaManagedConnectionFactoryImpl" connectionFactoryInterface="javax.jms.ConnectionFactory" connectionFactoryImplClass="com.ibm.ws.sib.api.jms.impl.JmsConnFactoryImpl" connectionInterface="javax.jms.Connection" connectionImplClass="com.ibm.ws.sib.api.jms.impl.JmsConnectionImpl">
            <configProperties xmi:id="ConfigProperty_1290632373305" name="BusName" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373306" name="ClientID" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373307" name="UserName" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373308" name="Password" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373309" name="NonPersistentMapping" type="java.lang.String" value="ExpressNonPersistent"/>
            <configProperties xmi:id="ConfigProperty_1290632373310" name="PersistentMapping" type="java.lang.String" value="ReliablePersistent"/>
            <configProperties xmi:id="ConfigProperty_1290632373311" name="DurableSubscriptionHome" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373312" name="ReadAhead" type="java.lang.String" value="Default"/>
            <configProperties xmi:id="ConfigProperty_1290632373313" name="Target" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373314" name="TargetType" type="java.lang.String" value="BusMember"/>
            <configProperties xmi:id="ConfigProperty_1290632373315" name="TargetSignificance" type="java.lang.String" value="Preferred"/>
            <configProperties xmi:id="ConfigProperty_1290632373316" name="RemoteProtocol" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373317" name="TargetTransportChain" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373318" name="ProviderEndpoints" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373319" name="ConnectionProximity" type="java.lang.String" value="Bus"/>
            <configProperties xmi:id="ConfigProperty_1290632373320" name="TemporaryQueueNamePrefix" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373321" name="TemporaryTopicNamePrefix" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373322" name="ShareDataSourceWithCMP" type="java.lang.Boolean" value="false"/>
            <configProperties xmi:id="ConfigProperty_1290632373323" name="ShareDurableSubscriptions" type="java.lang.String" value="InCluster"/>
            <configProperties xmi:id="ConfigProperty_1290632373324" name="ProducerDoesNotModifyPayloadAfterSet" type="java.lang.String" value="false"/>
            <configProperties xmi:id="ConfigProperty_1290632373325" name="ConsumerDoesNotModifyPayloadAfterGet" type="java.lang.String" value="false"/>
          </connectionDefinitions>
          <authenticationMechanisms xmi:id="AuthenticationMechanism_1290632373270" authenticationMechanismType="BasicPassword" credentialInterface="javax.resource.spi.security.PasswordCredential"/>
        </outboundResourceAdapter>
        <inboundResourceAdapter xmi:id="InboundResourceAdapter_1290632373270">
          <messageAdapter xmi:id="MessageAdapter_1290632373270">
            <messageListeners xmi:id="MessageListener_1290632373270" messageListenerType="javax.jms.MessageListener">
              <activationSpec xmi:id="ActivationSpec_1290632373270" activationSpecClass="com.ibm.ws.sib.api.jmsra.impl.JmsJcaActivationSpecImpl">
                <requiredConfigProperties xmi:id="RequiredConfigPropertyType_1290632373270" name="destination"/>
                <requiredConfigProperties xmi:id="RequiredConfigPropertyType_1290632373271" name="destinationType"/>
                <requiredConfigProperties xmi:id="RequiredConfigPropertyType_1290632373272" name="busName"/>
              </activationSpec>
            </messageListeners>
          </messageAdapter>
        </inboundResourceAdapter>
        <adminObjects xmi:id="AdminObject_1290632373270" adminObjectInterface="javax.jms.Queue" adminObjectClass="com.ibm.ws.sib.api.jms.impl.JmsQueueImpl">
          <configProperties xmi:id="ConfigProperty_1290632373326" name="QueueName" type="java.lang.String"/>
          <configProperties xmi:id="ConfigProperty_1290632373327" name="DeliveryMode" type="java.lang.String" value="Application"/>
          <configProperties xmi:id="ConfigProperty_1290632373328" name="TimeToLive" type="java.lang.Long"/>
          <configProperties xmi:id="ConfigProperty_1290632373329" name="Priority" type="java.lang.Integer"/>
          <configProperties xmi:id="ConfigProperty_1290632373330" name="ReadAhead" type="java.lang.String" value="AsConnection"/>
          <configProperties xmi:id="ConfigProperty_1290632373331" name="BusName" type="java.lang.String"/>
        </adminObjects>
        <adminObjects xmi:id="AdminObject_1290632373271" adminObjectInterface="javax.jms.Topic" adminObjectClass="com.ibm.ws.sib.api.jms.impl.JmsTopicImpl">
          <configProperties xmi:id="ConfigProperty_1290632373332" name="TopicSpace" type="java.lang.String" value="Default.Topic.Space"/>
          <configProperties xmi:id="ConfigProperty_1290632373333" name="TopicName" type="java.lang.String"/>
          <configProperties xmi:id="ConfigProperty_1290632373334" name="DeliveryMode" type="java.lang.String" value="Application"/>
          <configProperties xmi:id="ConfigProperty_1290632373335" name="TimeToLive" type="java.lang.Long"/>
          <configProperties xmi:id="ConfigProperty_1290632373336" name="Priority" type="java.lang.Integer"/>
          <configProperties xmi:id="ConfigProperty_1290632373337" name="ReadAhead" type="java.lang.String" value="AsConnection"/>
          <configProperties xmi:id="ConfigProperty_1290632373338" name="BusName" type="java.lang.String"/>
        </adminObjects>
      </resourceAdapter>
    </deploymentDescriptor>
    <connectionDefTemplateProps xmi:id="ConnectionDefTemplateProps_1290632373271" ConnectionDefinition="ConnectionDefinition_1290632373267">
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373271" name="BusName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373272" name="ClientID" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373273" name="ConnectionProximity" type="java.lang.String" value="Bus" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373274" name="durableSubscriptionHome" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373275" name="NonPersistentMapping" type="java.lang.String" value="ExpressNonPersistent" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373276" name="Password" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373277" name="PersistentMapping" type="java.lang.String" value="ReliablePersistent" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373278" name="ProviderEndpoints" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373279" name="ReadAhead" type="java.lang.String" value="Default" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373280" name="RemoteProtocol" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373281" name="TargetTransportChain" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373282" name="ShareDataSourceWithCMP" type="java.lang.Boolean" value="false" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373283" name="shareDurableSubscriptions" type="java.lang.String" value="AsCluster" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373284" name="Target" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373285" name="TargetSignificance" type="java.lang.String" value="Preferred" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373286" name="TargetType" type="java.lang.String" value="BusMember" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373287" name="TemporaryQueueNamePrefix" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373288" name="temporaryTopicNamePrefix" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373289" name="UserName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373290" name="ProducerDoesNotModifyPayloadAfterSet" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373291" name="ConsumerDoesNotModifyPayloadAfterGet" type="java.lang.String" required="false"/>
    </connectionDefTemplateProps>
    <connectionDefTemplateProps xmi:id="ConnectionDefTemplateProps_1290632373272" ConnectionDefinition="ConnectionDefinition_1290632373268">
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373292" name="BusName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373293" name="ClientID" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373294" name="ConnectionProximity" type="java.lang.String" value="Bus" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373295" name="DurableSubscriptionHome" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373296" name="NonPersistentMapping" type="java.lang.String" value="ExpressNonPersistent" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373297" name="Password" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373298" name="PersistentMapping" type="java.lang.String" value="ReliablePersistent" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373299" name="ProviderEndpoints" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373300" name="ReadAhead" type="java.lang.String" value="Default" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373301" name="RemoteProtocol" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373302" name="TargetTransportChain" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373303" name="ShareDataSourceWithCMP" type="java.lang.Boolean" value="false" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373304" name="ShareDurableSubscriptions" type="java.lang.String" value="InCluster" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373305" name="Target" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373306" name="TargetSignificance" type="java.lang.String" value="Preferred" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373307" name="TargetType" type="java.lang.String" value="BusMember" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373308" name="temporaryQueueNamePrefix" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373309" name="TemporaryTopicNamePrefix" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373310" name="UserName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373311" name="ProducerDoesNotModifyPayloadAfterSet" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373312" name="ConsumerDoesNotModifyPayloadAfterGet" type="java.lang.String" required="false"/>
    </connectionDefTemplateProps>
    <connectionDefTemplateProps xmi:id="ConnectionDefTemplateProps_1290632373273" ConnectionDefinition="ConnectionDefinition_1290632373269">
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373313" name="BusName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373314" name="ClientID" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373315" name="ConnectionProximity" type="java.lang.String" value="Bus" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373316" name="DurableSubscriptionHome" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373317" name="NonPersistentMapping" type="java.lang.String" value="ExpressNonPersistent" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373318" name="Password" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373319" name="PersistentMapping" type="java.lang.String" value="ReliablePersistent" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373320" name="ProviderEndpoints" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373321" name="ReadAhead" type="java.lang.String" value="Default" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373322" name="RemoteProtocol" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373323" name="TargetTransportChain" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373324" name="ShareDataSourceWithCMP" type="java.lang.Boolean" value="false" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373325" name="ShareDurableSubscriptions" type="java.lang.String" value="InCluster" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373326" name="Target" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373327" name="TargetSignificance" type="java.lang.String" value="Preferred" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373328" name="TargetType" type="java.lang.String" value="BusMember" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373329" name="TemporaryQueueNamePrefix" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373330" name="TemporaryTopicNamePrefix" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373331" name="UserName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373332" name="ProducerDoesNotModifyPayloadAfterSet" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373333" name="ConsumerDoesNotModifyPayloadAfterGet" type="java.lang.String" required="false"/>
    </connectionDefTemplateProps>
    <activationSpecTemplateProps xmi:id="ActivationSpecTemplateProps_1290632373274" activationSpec="ActivationSpec_1290632373270">
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373334" name="acknowledgeMode" type="java.lang.String" value="Auto-acknowledge" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373335" name="alwaysActivateAllMDBs" type="java.lang.Boolean" value="false" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373336" name="AutoStopSequentialMessageFailure" type="java.lang.Integer" value="0" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373337" name="busName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373338" name="clientId" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373339" name="destination" type="javax.jms.Destination" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373340" name="destinationType" type="java.lang.String" required="true"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373341" name="durableSubscriptionHome" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373342" name="failingMessageDelay" type="java.lang.Long" value="0" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373343" name="maxBatchSize" type="java.lang.Integer" value="1" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373344" name="maxConcurrency" type="java.lang.Integer" value="10" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373345" name="maxSequentialMessageFailure" type="java.lang.Integer" value="-1" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373346" name="messageSelector" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373347" name="password" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373348" name="providerEndpoints" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373349" name="readAhead" type="java.lang.String" value="Default" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373350" name="retryInterval" type="java.lang.Integer" value="30" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373351" name="shareDataSourceWithCMP" type="java.lang.Boolean" value="false" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373352" name="shareDurableSubscriptions" type="java.lang.String" value="InCluster" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373353" name="subscriptionDurability" type="java.lang.String" value="NonDurable" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373354" name="subscriptionName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373355" name="target" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373356" name="targetSignificance" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373357" name="targetTransportChain" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373358" name="targetType" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373359" name="userName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373360" name="ConsumerDoesNotModifyPayloadAfterGet" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373361" name="ForwarderDoesNotModifyPayloadAfterSet" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373362" name="useServerSubject" type="java.lang.Boolean" required="false"/>
      <complexPropertySet xmi:id="J2EEResourcePropertySet_1290632373278">
        <resourceProperties xmi:id="J2EEResourceProperty_1290632373363" name="destination" type="javax.jms.Destination" required="false"/>
      </complexPropertySet>
    </activationSpecTemplateProps>
    <adminObjectTemplateProps xmi:id="AdminObjectTemplateProps_1290632373278" adminObject="AdminObject_1290632373270">
      <properties xmi:id="J2EEResourceProperty_1290632373364" name="BusName" type="java.lang.String" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373365" name="DeliveryMode" type="java.lang.String" value="Application" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373366" name="forwardRoutingPath" type="[Ljava.lang.String;" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373367" name="Priority" type="java.lang.Integer" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373368" name="QueueName" type="java.lang.String" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373369" name="ReadAhead" type="java.lang.String" value="AsConnection" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373370" name="reverseRoutingPath" type="[Ljava.lang.String;" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373371" name="TimeToLive" type="java.lang.Long" required="false"/>
    </adminObjectTemplateProps>
    <adminObjectTemplateProps xmi:id="AdminObjectTemplateProps_1290632373279" adminObject="AdminObject_1290632373271">
      <properties xmi:id="J2EEResourceProperty_1290632373372" name="BusName" type="java.lang.String" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373373" name="DeliveryMode" type="java.lang.String" value="Application" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373374" name="forwardRoutingPath" type="[Ljava.lang.String;" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373375" name="Priority" type="java.lang.Integer" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373376" name="ReadAhead" type="java.lang.String" value="AsConnection" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373377" name="reverseRoutingPath" type="[Ljava.lang.String;" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373378" name="TimeToLive" type="java.lang.Long" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373379" name="TopicName" type="java.lang.String" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373380" name="TopicSpace" type="java.lang.String" value="Default.Topic.Space" required="false"/>
    </adminObjectTemplateProps>
  </resources.j2c:J2CResourceAdapter>
  <resources.j2c:J2CResourceAdapter xmi:id="J2CResourceAdapter_1290632373404" name="WebSphere MQ Resource Adapter" description="WAS 7.0.0.1 Built In WebSphere MQ Resource Adapter" isolatedClassLoader="false" archivePath="${WAS_INSTALL_ROOT}/installedConnectors/wmq.jmsra.rar" threadPoolAlias="WMQJCAResourceAdapter" singleton="false" hACapability="RA_NO_HA" isEnableHASupport="false">
    <classpath>${WAS_INSTALL_ROOT}/installedConnectors/wmq.jmsra.rar</classpath>
    <propertySet xmi:id="J2EEResourcePropertySet_1290632373407">
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373407" name="connectionConcurrency" type="int" value="5" description="connectionConcurrency" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373408" name="maxConnections" type="int" value="10" description="maxConnections" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373409" name="logWriterEnabled" type="boolean" value="true" description="logWriterEnabled" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373410" name="reconnectionRetryCount" type="int" value="5" description="reconnectionRetryCount" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373411" name="reconnectionRetryInterval" type="int" value="300000" description="reconnectionRetryInterval" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373412" name="traceEnabled" type="boolean" value="false" description="traceEnabled" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373413" name="traceLevel" type="int" value="3" description="traceLevel" required="false"/>
    </propertySet>
    <deploymentDescriptor xmi:id="Connector_1290632373407" displayName="WebSphere MQ Resource Adapter" vendorName="International Business Machines Corporation (&quot;IBM&quot;)." specVersion="1.5" eisType="Java Message Service" version="7.0.1.3-k701-103-100812">
      <displayNames xmi:id="DisplayName_1290632373407" value="WebSphere MQ Resource Adapter"/>
      <license xmi:id="License_1290632373407" required="true">
        <descriptions xmi:id="Description_1290632373407" value="&#xA;&#x9;&#x9;&#x9;This software is licenced under the IBM International&#xA;&#x9;&#x9;&#x9;Program License Agreement (&quot;IPLA&quot;). For licence information,&#xA;&#x9;&#x9;&#x9;see the WebSphere MQ Licence Information (&quot;LI&quot;) available at&#xA;&#x9;&#x9;&#x9;http://www.ibm.com/software/sla/. The LI may also be found&#xA;&#x9;&#x9;&#x9;in a file in the WebSphere MQ installation directory.&#xA;&#x9;&#x9;"/>
      </license>
      <resourceAdapter xmi:id="ResourceAdapter_1290632373407" transactionSupport="XATransaction" reauthenticationSupport="false" resourceAdapterClass="com.ibm.mq.connector.ResourceAdapterImpl">
        <securityPermissions xmi:id="SecurityPermission_1290632373407" description="Security Permissions for the JMS client" specification="&#xA;&#x9;&#x9;&#x9;&#x9;grant { &#xA;&#x9;&#x9;&#x9;&#x9;&#x9;permission java.security.AllPermission; &#xA;&#x9;&#x9;&#x9;&#x9;};&#xA;&#x9;&#x9;&#x9;"/>
        <configProperties xmi:id="ConfigProperty_1290632373407" description="connectionConcurrency" name="connectionConcurrency" type="java.lang.String"/>
        <configProperties xmi:id="ConfigProperty_1290632373408" description="maxConnections" name="maxConnections" type="java.lang.String"/>
        <configProperties xmi:id="ConfigProperty_1290632373409" description="logWriterEnabled" name="logWriterEnabled" type="java.lang.String"/>
        <configProperties xmi:id="ConfigProperty_1290632373410" description="reconnectionRetryCount" name="reconnectionRetryCount" type="java.lang.String"/>
        <configProperties xmi:id="ConfigProperty_1290632373411" description="reconnectionRetryInterval" name="reconnectionRetryInterval" type="java.lang.String"/>
        <configProperties xmi:id="ConfigProperty_1290632373412" description="traceEnabled" name="traceEnabled" type="java.lang.String"/>
        <configProperties xmi:id="ConfigProperty_1290632373413" description="traceLevel" name="traceLevel" type="java.lang.String"/>
        <inboundResourceAdapter xmi:id="InboundResourceAdapter_1290632373407">
          <messageAdapter xmi:id="MessageAdapter_1290632373407">
            <messageListeners xmi:id="MessageListener_1290632373407" messageListenerType="javax.jms.MessageListener">
              <activationSpec xmi:id="ActivationSpec_1290632373407" activationSpecClass="com.ibm.mq.connector.inbound.ActivationSpecImpl">
                <requiredConfigProperties xmi:id="RequiredConfigPropertyType_1290632373407" name="destination"/>
                <requiredConfigProperties xmi:id="RequiredConfigPropertyType_1290632373408" name="destinationType"/>
              </activationSpec>
            </messageListeners>
          </messageAdapter>
        </inboundResourceAdapter>
      </resourceAdapter>
    </deploymentDescriptor>
    <activationSpecTemplateProps xmi:id="ActivationSpecTemplateProps_1290632373407" activationSpec="ActivationSpec_1290632373407">
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373414" name="CCSID" type="int" value="819" description="CCSID" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373415" name="acknowledgeMode" type="int" value="1" description="acknowledgeMode" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373416" name="arbitraryProperties" type="java.lang.String" description="arbitraryProperties" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373417" name="brokerCCDurSubQueue" type="java.lang.String" value="SYSTEM.JMS.D.CC.SUBSCRIBER.QUEUE" description="brokerCCDurSubQueue" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373418" name="brokerCCSubQueue" type="java.lang.String" value="SYSTEM.JMS.ND.CC.SUBSCRIBER.QUEUE" description="brokerCCSubQueue" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373419" name="brokerControlQueue" type="java.lang.String" value="SYSTEM.BROKER.CONTROL.QUEUE" description="brokerControlQueue" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373420" name="brokerPubQueue" type="java.lang.String" value="SYSTEM.BROKER.DEFAULT.STREAM" description="brokerPubQueue" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373421" name="brokerQueueManager" type="java.lang.String" description="brokerQueueManager" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373422" name="brokerSubQueue" type="java.lang.String" value="SYSTEM.JMS.ND.SUBSCRIBER.QUEUE" description="brokerSubQueue" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373423" name="brokerVersion" type="java.lang.String" value="1" description="brokerVersion" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373424" name="ccdtURL" type="java.lang.String" description="ccdtURL" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373425" name="channel" type="java.lang.String" value="SYSTEM.DEF.SVRCONN" description="channel" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373426" name="cleanupInterval" type="long" value="3600000" description="cleanupInterval" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373427" name="cleanupLevel" type="java.lang.String" value="SAFE" description="cleanupLevel" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373428" name="clientID" type="java.lang.String" description="clientID" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373429" name="clientId" type="java.lang.String" description="clientId" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373430" name="cloneSupport" type="java.lang.String" value="DISABLED" description="cloneSupport" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373431" name="connectionNameList" type="java.lang.String" value="localhost(1414)" description="connectionNameList" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373432" name="destination" type="java.lang.String" value="SYSTEM.DEFAULT.LOCAL.QUEUE" description="destination" required="true"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373433" name="destinationType" type="java.lang.String" value="javax.jms.Queue" description="destinationType" required="true"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373434" name="failIfQuiesce" type="boolean" value="true" description="failIfQuiesce" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373435" name="headerCompression" type="java.lang.String" value="NONE" description="headerCompression" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373436" name="hostName" type="java.lang.String" value="localhost" description="hostName" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373437" name="localAddress" type="java.lang.String" description="localAddress" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373438" name="maxMessages" type="int" value="1" description="maxMessages" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373439" name="maxPoolDepth" type="int" value="10" description="maxPoolDepth" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373440" name="messageBatchSize" type="int" value="10" description="messageBatchSize" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373441" name="messageCompression" type="java.lang.String" value="NONE" description="messageCompression" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373442" name="messageRetention" type="java.lang.String" value="YES" description="messageRetention" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373443" name="messageSelection" type="java.lang.String" value="CLIENT" description="messageSelection" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373444" name="messageSelector" type="java.lang.String" description="messageSelector" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373445" name="password" type="java.lang.String" description="password" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373446" name="pollingInterval" type="int" value="5000" description="pollingInterval" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373447" name="poolTimeout" type="int" value="300000" description="poolTimeout" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373448" name="port" type="int" value="1414" description="port" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373449" name="providerVersion" type="java.lang.String" value="UNSPECIFIED" description="providerVersion" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373450" name="queueManager" type="java.lang.String" description="queueManager" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373451" name="readAheadAllowed" type="java.lang.String" value="DESTINATION" description="readAheadAllowed" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373452" name="receiveExit" type="java.lang.String" description="receiveExit" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373453" name="receiveExitInit" type="java.lang.String" description="receiveExitInit" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373454" name="rescanInterval" type="int" value="5000" description="rescanInterval" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373455" name="securityExit" type="java.lang.String" description="securityExit" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373456" name="securityExitInit" type="java.lang.String" description="securityExitInit" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373457" name="sendExit" type="java.lang.String" description="sendExit" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373458" name="sendExitInit" type="java.lang.String" description="sendExitInit" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373459" name="shareConvAllowed" type="java.lang.String" value="YES" description="shareConvAllowed" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373460" name="sparseSubscriptions" type="java.lang.String" value="FALSE" description="sparseSubscriptions" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373461" name="sslCertStores" type="java.lang.String" description="sslCertStores" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373462" name="sslCipherSuite" type="java.lang.String" description="sslCipherSuite" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373463" name="sslFipsRequired" type="boolean" value="false" description="sslFipsRequired" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373464" name="sslPeerName" type="java.lang.String" description="sslPeerName" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373465" name="sslResetCount" type="int" value="0" description="sslResetCount" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373466" name="sslSocketFactory" type="java.lang.String" description="sslSocketFactory" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373467" name="startTimeout" type="int" value="10000" description="startTimeout" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373468" name="statusRefreshInterval" type="int" value="60000" description="statusRefreshInterval" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373469" name="subscriptionDurability" type="java.lang.String" value="NonDurable" description="subscriptionDurability" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373470" name="subscriptionName" type="java.lang.String" description="subscriptionName" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373471" name="subscriptionStore" type="java.lang.String" value="MIGRATE" description="subscriptionStore" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373472" name="transportType" type="java.lang.String" value="CLIENT" description="transportType" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373473" name="useJNDI" type="boolean" value="false" description="useJNDI" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373474" name="username" type="java.lang.String" description="username" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373475" name="wildcardFormat" type="java.lang.String" value="TOPIC" description="wildcardFormat" required="false"/>
    </activationSpecTemplateProps>
  </resources.j2c:J2CResourceAdapter>
</xmi:XMI>
